package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDoctorWords;
import com.fs.his.param.FsDoctorWordsListUParam;
import com.fs.his.vo.FsDoctorWordsListUVO;

/**
 * doctorWordsService接口
 *
 * @author fs
 * @date 2023-10-12
 */
public interface IFsDoctorWordsService
{
    /**
     * 查询doctorWords
     *
     * @param id doctorWords主键
     * @return doctorWords
     */
    public FsDoctorWords selectFsDoctorWordsById(Long id);

    /**
     * 查询doctorWords列表
     *
     * @param fsDoctorWords doctorWords
     * @return doctorWords集合
     */
    public List<FsDoctorWords> selectFsDoctorWordsList(FsDoctorWords fsDoctorWords);

    /**
     * 新增doctorWords
     *
     * @param fsDoctorWords doctorWords
     * @return 结果
     */
    public int insertFsDoctorWords(FsDoctorWords fsDoctorWords);

    /**
     * 修改doctorWords
     *
     * @param fsDoctorWords doctorWords
     * @return 结果
     */
    public int updateFsDoctorWords(FsDoctorWords fsDoctorWords);

    /**
     * 批量删除doctorWords
     *
     * @param ids 需要删除的doctorWords主键集合
     * @return 结果
     */
    public int deleteFsDoctorWordsByIds(Long[] ids);

    /**
     * 删除doctorWords信息
     *
     * @param id doctorWords主键
     * @return 结果
     */
    public int deleteFsDoctorWordsById(Long id);

    List<FsDoctorWordsListUVO> selectFsDoctorWordsListUVO(FsDoctorWordsListUParam param);
}
